import Vue from 'vue'
import message from './message.vue'

const Message = Vue.extend(message);
const messageDirective =  {};

messageDirective.install = vue => {
    insertDom() 
    Vue.directive('message', {
        bind: function(el, binding, vnode) {
          const textExr = el.getAttribute('element-message-text');
          const typeExr = el.getAttribute('element-message-type');
          const vm = vnode.context;
          const instance = new Message({
            el: document.createElement('div'),
            data: {
              message: vm && vm[textExr] || textExr,
              type: vm && vm[typeExr] || typeExr,
            }
          });
          el.instance = instance;    
          binding.value && insertDom(el, binding);
        },
    
        update: function(el, binding) {
          el.instance.setText(el.getAttribute('element-loading-text'));
          if (binding.oldValue !== binding.value) {
            insertDom(el, binding);
          }
        },
    
        // unbind: function(el, binding) {
        //   if (el.domInserted) {
        //     el.mask &&
        //     el.mask.parentNode &&
        //     el.mask.parentNode.removeChild(el.mask);
        //     toggleLoading(el, { value: false, modifiers: binding.modifiers });
        //   }
        // }
      });
}