export default {
  name: "NbTabPanel",
  props: {
    label: String,
    name: String
  },
  data () {
    return {
      index: null
    }
  },
  computed : {
    active(){
      return this.$parent.currentName === this.name || this.$parent.currentName === this.index
    }
  },
  render () {
    return (
      <div class="nb-tab-panel" v-show={this.active}>
        {this.$slots.default}
      </div>
    )
  },
  mounted() {
    this.$parent.addPanels(this)
  },
  destroyed() {
    if (this.$el && this.$el.parentNode) {
      this.$el.parentNode.removeChild(this.$el)
    }
    this.$parent.removePanels(this)
  },
  watch: {
    label() {
      this.$parent.$forceUpdate()
    }
  }
}