import {
    Table, TableColumn, Row, Col, Button,
    Input, Form, FormItem, Select, Option, Dialog, Tree,
    Pagination, Radio, Container, MessageBox , Switch , 
    Header, Main, Footer, Aside,DatePicker, Checkbox, CheckboxGroup, Upload, Popover,
    Tag, Loading, Message
} from 'element-ui'

import mavonEditor from 'mavon-editor'
import 'mavon-editor/dist/css/index.css'
import NbPanel from './components/panel'
import NbPanelTitle from './components/panel-title'
import NbPanelBody from './components/panel-body'
import NbPanelSearch from './components/panel-search'
import NbTabs from './components/tabs'
import NbTabPanel from './components/tab-panel'
import NbDropdown from './components/dropdown'
import NbDropdownBoard from './components/dropdown-board'
import NbPagination from './components/pagination'
import NbPanelList from './components/panel-list'
import NbButton from './components/button'
import NbInput from './components/input'
import NbForm from './components/form'
import NbFormItem from './components/form-item'
import NbCascaderArea from './components/cascader-area'
import {NbSelect,  NbOption} from './components/select'
import NbMultiSelect from './components/multi-select'
import NbDialog from './components/dialog'
import NbDateTime from './components/date-time'
import NbMessage from './components/message'
import ElMessage from 'element-ui/packages/message/index.js'
import _MessageBox from './components/message-box/index.js';
import NbCascader from './components/cascader/index.js';
import NbCheckbox from './components/checkbox/index.js';
import NbCheckboxGroup from './components/checkbox-group/index.js';
import NbSearchSelect from './components/search-select';
import NbUpload from './components/upload';
import NbRadio from './components/radio';
import NbMarkdown from './components/markdown';
import NbSwitch from './components/switch';
import NbFloatPanel from './components/float-panel';
// import NbUeditor from './components/ueditor';
import NbImgCard from './components/img-card';
const NbUIComponents = {
    NbFloatPanel,
    NbPanel,
    NbPanelTitle,
    NbPanelBody,
    NbPanelSearch,
    NbTabs,
    NbTabPanel,
    NbDropdown,
    NbDropdownBoard,
    NbButton,
    NbRadio,
    NbPagination,
    NbPanelList,
    NbButton,
    NbInput,
    NbForm,
    NbFormItem,
    NbSelect,
    NbOption,
    NbDialog,
    NbDateTime,
    NbMultiSelect,
    NbCascader,
    NbCascaderArea,
    NbCheckboxGroup,
    NbCheckbox,
    NbSearchSelect,
    NbUpload,
    NbMessage:NbMessage,
    ElMessage,
    NbMarkdown,
    NbSwitch,
    // NbUeditor,
    NbImgCard
}

const install = function( Vue, opts = {} ) {

    Vue.component(Table.name, Table)
    Vue.component(TableColumn.name, TableColumn)
    Vue.component(Row.name, Row)
    Vue.component(Col.name, Col)
    Vue.component(Container.name, Container)
    Vue.component(Header.name, Header)
    Vue.component(Main.name, Main)
    Vue.component(Footer.name, Footer)
    Vue.component(Aside.name, Aside)
    Vue.component(Button.name, Button)
    Vue.component(Pagination.name, Pagination)
    Vue.component(Input.name, Input)
    Vue.component(Form.name, Form)
    Vue.component(FormItem.name, FormItem)
    Vue.component(Select.name, Select)
    Vue.component(Option.name, Option)
    Vue.component(Dialog.name, Dialog)
    Vue.component(DatePicker.name,DatePicker);
    Vue.component(CheckboxGroup.name,CheckboxGroup);
    Vue.component(Checkbox.name,Checkbox);
    Vue.component(Upload.name,Upload);
    Vue.component(Popover.name,Popover);
    Vue.component(Tree.name,Tree)
    Vue.component(DatePicker.name,DatePicker)
    Vue.component(CheckboxGroup.name,CheckboxGroup)
    Vue.component(Checkbox.name,Checkbox)
    Vue.component(Upload.name,Upload)
    Vue.component(Popover.name,Popover)
    Vue.component(Radio.name,Radio)
    Vue.component(Radio.name, Radio);
    Vue.component(Switch.name, Switch);
    // Vue.component(NbUeditor.name, NbUeditor);
    Vue.component(NbImgCard.name, NbImgCard);
    Vue.component(Tag.name,Tag)
    Vue.use(Loading.directive)
    Vue.use(mavonEditor);
    Object.values( NbUIComponents ).map( component => {
        Vue.component( component.name, component )
    } )

    Vue.prototype.$ELEMENT = { size: 'small' };
    Vue.prototype.$nb_message = MessageBox;
    Vue.prototype.$nb_msg = NbMessage;
    Vue.prototype.$nb_confirm = MessageBox.confirm;

    Vue.prototype.$loading = Loading.service;
    Vue.prototype.$message = Message;
    
};


export default {
    install,
    ...NbUIComponents
}
